Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class TextBox

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.TextShape
                  org.apache.poi.hslf.model.TextBox

Direct Known Subclasses:
  Placeholder, TableCell

    public class TextBox

extends TextShape

Represents a TextFrame shape in PowerPoint.

Contains the text in a text frame as well as the properties and methods that control alignment and anchoring of the text.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.model.TextShape
`_frc, _txtbox, _txtrun, AlignCenter, AlignJustify, AlignLeft, AlignRight, AnchorBottom, AnchorBottomBaseline, AnchorBottomCentered, AnchorBottomCenteredBaseline, AnchorMiddle, AnchorMiddleCentered, AnchorTop, AnchorTopBaseline, AnchorTopCentered, AnchorTopCenteredBaseline, WrapByPoints, WrapNone, WrapSquare, WrapThrough, WrapTopBottom`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`_clientData, _clientRecords, DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`_escherContainer, _fill, _parent, _sheet, EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, logger, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`` | `TextBox()` Create a new TextBox.
`protected` | `TextBox(EscherContainerRecord escherRecord, Shape parent)` Create a TextBox object and initialize it from the supplied Record container.
`` | `TextBox(Shape parent)` Create a new TextBox.

Method Summary
`protected EscherContainerRecord` | `createSpContainer(boolean isChild)` Create a new TextBox and initialize its internal structures
`protected void` | `setDefaultTextProperties(TextRun _txtrun)` Set default properties for the TextRun.

Methods inherited from class org.apache.poi.hslf.model.TextShape
`afterInsert, createTextRun, draw, getEscherTextboxWrapper, getHorizontalAlignment, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getPlaceholderAtom, getText, getTextId, getTextRun, getVerticalAlignment, getWordWrap, initTextRun, resizeToFitText, setHorizontalAlignment, setHyperlink, setMarginBottom, setMarginLeft, setMarginRight, setMarginTop, setSheet, setText, setTextId, setVerticalAlignment, setWordWrap`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`getClientDataRecord, getClientRecords, getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation, updateClientData`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getColor, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextBox

    protected TextBox(EscherContainerRecord escherRecord,
                      Shape parent)

  Create a TextBox object and initialize it from the supplied Record container.

  Parameters:
    `escherRecord` - `EscherSpContainer` container which holds information about this shape
    `parent` - the parent of the shape

### TextBox

    public TextBox(Shape parent)

  Create a new TextBox. This constructor is used when a new shape is created.

  Parameters:
    `parent` - the parent of this Shape. For example, if this text box is a cell in a table then the parent is Table.

### TextBox

    public TextBox()

  Create a new TextBox. This constructor is used when a new shape is created.

Method Detail

### createSpContainer

    protected EscherContainerRecord createSpContainer(boolean isChild)

  Create a new TextBox and initialize its internal structures

  Overrides:
    `createSpContainer` in class `SimpleShape`
  Parameters:
    `isChild` - `true` if the Line is inside a group, `false` otherwise
  Returns:
    the created `EscherContainerRecord` which holds shape data

### setDefaultTextProperties

    protected void setDefaultTextProperties(TextRun _txtrun)

  Description copied from class: `TextShape`
  Set default properties for the TextRun. Depending on the text and shape type the defaults are different: TextBox: align=left, valign=top AutoShape: align=center, valign=middle

  Overrides:
    `setDefaultTextProperties` in class `TextShape`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.